#ifndef AUDIO_H
#define AUDIO_H

#include <jack/jack.h>

typedef jack_default_audio_sample_t sample_t;

typedef enum {
	off,
	on,
	ramp_down,
	ramp_up,
} b_state;

typedef struct {
	float *data;
	float gain;
	b_state state;
} buffer_t;

extern buffer_t *buffers;
extern unsigned int buffer_size;
extern unsigned int num_buffers;

extern jack_client_t *client;
extern jack_port_t *output_port;

extern float gain_inc;

int process(jack_nframes_t nframes, void *arg);

#endif
